package com.itant.shiwushu.bean;

import java.io.Serializable;

/**
 * Created by Jason on 2018/10/9.
 */

public class LostFound implements Serializable {
    public static final String KEY_POST_TYPE = "post_type";
    public static final String KEY_LOST_TYPE = "lost_type";
    public static final int POST_TYPE_LOST = 0;
    public static final int LOST_TYPE_ALL = 0;
    public static final int LOST_TYPE_MONEY = 1;
    public static final int LOST_TYPE_MAN = 2;
    public static final int LOST_TYPE_GOODS = 3;
    public static final int LOST_TYPE_PETS = 4;
    // 我的发布
    public static final int LOST_TYPE_PUBLISH = -1;
    // 我的收藏
    public static final int LOST_TYPE_FAVORITE = -2;
    public static final int POST_TYPE_FOUND = 1;
    private int lostFoundId;
    private String authorId;

    // 发帖人是否VIP，发帖人头像URL，当前帖子是否被当前用户所收藏，都是从数据库查到列表后，遍历过程中查询到最新结果，动态set的
    private boolean isAuthorVip;
    private String authorHeadUrl;
    private boolean isFavorite;
    private String authorName;

    // 描述
    private String content;
    // 图片
    private String photoUrl;
    private long publishTimeMillis;
    // 事发城市
    private String cityName;
    // 事发城市id
    private int cityId;
    private int commentNum;
    private int browseNum = 0;
    // 联系方式
    private String phoneNumber;
    // 0失物 1招领
    private int postType;
    // 失物才有，0寻人 1找物 2爱宠
    private int lostType;
    // 悬赏金额
    private int money;

    public String getAuthorName() {
        return authorName;
    }

    public void setAuthorName(String authorName) {
        this.authorName = authorName;
    }

    public int getLostFoundId() {
        return lostFoundId;
    }

    public void setLostFoundId(int lostFoundId) {
        this.lostFoundId = lostFoundId;
    }

    public String getAuthorId() {
        return authorId;
    }

    public void setAuthorId(String authorId) {
        this.authorId = authorId;
    }

    public boolean isAuthorVip() {
        return isAuthorVip;
    }

    public void setAuthorVip(boolean authorVip) {
        isAuthorVip = authorVip;
    }

    public String getAuthorHeadUrl() {
        return authorHeadUrl;
    }

    public void setAuthorHeadUrl(String authorHeadUrl) {
        this.authorHeadUrl = authorHeadUrl;
    }

    public boolean isFavorite() {
        return isFavorite;
    }

    public void setFavorite(boolean favorite) {
        isFavorite = favorite;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getPhotoUrl() {
        return photoUrl;
    }

    public void setPhotoUrl(String photoUrl) {
        this.photoUrl = photoUrl;
    }

    public long getPublishTimeMillis() {
        return publishTimeMillis;
    }

    public void setPublishTimeMillis(long publishTimeMillis) {
        this.publishTimeMillis = publishTimeMillis;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public int getCommentNum() {
        return commentNum;
    }

    public void setCommentNum(int commentNum) {
        this.commentNum = commentNum;
    }

    public int getBrowseNum() {
        return browseNum;
    }

    public void setBrowseNum(int browseNum) {
        this.browseNum = browseNum;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public int getPostType() {
        return postType;
    }

    public void setPostType(int postType) {
        this.postType = postType;
    }

    public int getLostType() {
        return lostType;
    }

    public void setLostType(int lostType) {
        this.lostType = lostType;
    }

    public int getMoney() {
        return money;
    }

    public void setMoney(int money) {
        this.money = money;
    }

    public int getCityId() {
        return cityId;
    }

    public void setCityId(int cityId) {
        this.cityId = cityId;
    }
}
